package com.yqd.dingding.bean;

import java.util.Date;

/**
 * 打卡信息
 */
public class Recordresult {
    private String userAccuracy; // 用户打卡定位精度
    private String userLatitude; //用户打卡纬度
    private String userLongitude; //用户打卡经度
    private String userAddress; //用户打卡地址
    private String deviceId; //打卡设备ID
    private String locationMethod; //定位方法
    private String isLegal; //是否合法 Y：合法  N：不合法
    private String userCheckTime; //实际打卡时间
    private String procInstId; //关联的审批实例id，当该字段非空时，表示打卡记录与请假、加班等审批有关，可以和获取审批实例详情配合使用。
    private String baseCheckTime; //计算迟到和早退，基准时间；也可作为排班打卡时间。
    private Long approveId; //关联的审批ID，当该字段非空时，表示打卡记录与请假、加班等审批有关。
    private String timeResult; //打卡结果 Normal：正常 | Early：早退 | Late：迟到 | SeriousLate：严重迟到 | Absenteeism：旷工迟到 | NotSigned：未打卡
    private String locationResult; //位置结果 Normal：范围内   Outside：范围外   NotSigned：未打卡
    private String checkType; //考勤类型： OnDuty：上班    OffDuty：下班
    private String sourceType; //数据来源： ATM：考勤机打卡（指纹/人脸打卡）  BEACON：IBeacon  DING_ATM：钉钉考勤机（考勤机蓝牙打卡）  USER：用户打卡  BOSS：老板改签  APPROVE：审批系统  SYSTEM：考勤系统   AUTO_CHECK：自动打卡
    private String userId; //打卡人的userid。
    private Date workDate; //工作日
    private String corpId; //企业ID。
    private Long planId; //排班ID。
    private Long groupId; //考勤组ID。
    private Long id; //考勤ID。
    private String userSsid; //用户打卡wifi SSID。
    private String userMacAddr; //用户打卡wifi Mac地址。
    private Date planCheckTime; //排班打卡时间
    private String baseAddress; //基准地址
    private String baseLongitude; //基准经度。
    private String baseLatitude; //基准纬度。
    private String baseAccuracy; //基准定位精度。
    private String baseSsid; //基准wifi ssid。
    private String baseMacAddr; //基准Mac地址。
    private Date gmtCreate; //打卡创建时间。
    private String outsideRemark; //打卡备注。
    private String deviceSN; //打卡设备序列号。
    private String bizId; //关联的业务ID。

    public String getUserAccuracy() {
        return userAccuracy;
    }

    public void setUserAccuracy(String userAccuracy) {
        this.userAccuracy = userAccuracy;
    }

    public String getUserLatitude() {
        return userLatitude;
    }

    public void setUserLatitude(String userLatitude) {
        this.userLatitude = userLatitude;
    }

    public String getUserLongitude() {
        return userLongitude;
    }

    public void setUserLongitude(String userLongitude) {
        this.userLongitude = userLongitude;
    }

    public String getUserAddress() {
        return userAddress;
    }

    public void setUserAddress(String userAddress) {
        this.userAddress = userAddress;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getLocationMethod() {
        return locationMethod;
    }

    public void setLocationMethod(String locationMethod) {
        this.locationMethod = locationMethod;
    }

    public String getIsLegal() {
        return isLegal;
    }

    public void setIsLegal(String isLegal) {
        this.isLegal = isLegal;
    }

    public String getUserCheckTime() {
        return userCheckTime;
    }

    public void setUserCheckTime(String userCheckTime) {
        this.userCheckTime = userCheckTime;
    }

    public String getProcInstId() {
        return procInstId;
    }

    public void setProcInstId(String procInstId) {
        this.procInstId = procInstId;
    }

    public String getBaseCheckTime() {
        return baseCheckTime;
    }

    public void setBaseCheckTime(String baseCheckTime) {
        this.baseCheckTime = baseCheckTime;
    }

    public Long getApproveId() {
        return approveId;
    }

    public void setApproveId(Long approveId) {
        this.approveId = approveId;
    }

    public String getTimeResult() {
        return timeResult;
    }

    public void setTimeResult(String timeResult) {
        this.timeResult = timeResult;
    }

    public String getLocationResult() {
        return locationResult;
    }

    public void setLocationResult(String locationResult) {
        this.locationResult = locationResult;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Date getWorkDate() {
        return workDate;
    }

    public void setWorkDate(Date workDate) {
        this.workDate = workDate;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserSsid() {
        return userSsid;
    }

    public void setUserSsid(String userSsid) {
        this.userSsid = userSsid;
    }

    public String getUserMacAddr() {
        return userMacAddr;
    }

    public void setUserMacAddr(String userMacAddr) {
        this.userMacAddr = userMacAddr;
    }

    public Date getPlanCheckTime() {
        return planCheckTime;
    }

    public void setPlanCheckTime(Date planCheckTime) {
        this.planCheckTime = planCheckTime;
    }

    public String getBaseAddress() {
        return baseAddress;
    }

    public void setBaseAddress(String baseAddress) {
        this.baseAddress = baseAddress;
    }

    public String getBaseLongitude() {
        return baseLongitude;
    }

    public void setBaseLongitude(String baseLongitude) {
        this.baseLongitude = baseLongitude;
    }

    public String getBaseLatitude() {
        return baseLatitude;
    }

    public void setBaseLatitude(String baseLatitude) {
        this.baseLatitude = baseLatitude;
    }

    public String getBaseAccuracy() {
        return baseAccuracy;
    }

    public void setBaseAccuracy(String baseAccuracy) {
        this.baseAccuracy = baseAccuracy;
    }

    public String getBaseSsid() {
        return baseSsid;
    }

    public void setBaseSsid(String baseSsid) {
        this.baseSsid = baseSsid;
    }

    public String getBaseMacAddr() {
        return baseMacAddr;
    }

    public void setBaseMacAddr(String baseMacAddr) {
        this.baseMacAddr = baseMacAddr;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getOutsideRemark() {
        return outsideRemark;
    }

    public void setOutsideRemark(String outsideRemark) {
        this.outsideRemark = outsideRemark;
    }

    public String getDeviceSN() {
        return deviceSN;
    }

    public void setDeviceSN(String deviceSN) {
        this.deviceSN = deviceSN;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    @Override
    public String toString() {
        return "Recordresult{" +
                "userAccuracy='" + userAccuracy + '\'' +
                ", userLatitude='" + userLatitude + '\'' +
                ", userLongitude='" + userLongitude + '\'' +
                ", userAddress='" + userAddress + '\'' +
                ", deviceId='" + deviceId + '\'' +
                ", locationMethod='" + locationMethod + '\'' +
                ", isLegal='" + isLegal + '\'' +
                ", userCheckTime='" + userCheckTime + '\'' +
                ", procInstId='" + procInstId + '\'' +
                ", baseCheckTime='" + baseCheckTime + '\'' +
                ", approveId=" + approveId +
                ", timeResult='" + timeResult + '\'' +
                ", locationResult='" + locationResult + '\'' +
                ", checkType='" + checkType + '\'' +
                ", sourceType='" + sourceType + '\'' +
                ", userId='" + userId + '\'' +
                ", workDate=" + workDate +
                ", corpId='" + corpId + '\'' +
                ", planId=" + planId +
                ", groupId=" + groupId +
                ", id=" + id +
                ", userSsid='" + userSsid + '\'' +
                ", userMacAddr='" + userMacAddr + '\'' +
                ", planCheckTime=" + planCheckTime +
                ", baseAddress='" + baseAddress + '\'' +
                ", baseLongitude='" + baseLongitude + '\'' +
                ", baseLatitude='" + baseLatitude + '\'' +
                ", baseAccuracy='" + baseAccuracy + '\'' +
                ", baseSsid='" + baseSsid + '\'' +
                ", baseMacAddr='" + baseMacAddr + '\'' +
                ", gmtCreate=" + gmtCreate +
                ", outsideRemark='" + outsideRemark + '\'' +
                ", deviceSN='" + deviceSN + '\'' +
                ", bizId='" + bizId + '\'' +
                '}';
    }
}
